com.io7m.r2.core.debug

## Interface R2DebugVisualizerRendererParametersType

- All Known Implementing Classes:
    R2DebugVisualizerRendererParameters

      public interface R2DebugVisualizerRendererParametersType

  Parameters for debug-visualizing renderers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2DebugCubeUsableType` | `debugCube()`
    `R2DebugInstancesType` | `debugInstances()`
    `default com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType>` | `geometryDefaultColor()`
    `default it.unimi.dsi.fastutil.ints.Int2ReferenceMap<com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType>>` | `geometryGroupColors()` The mapping from groups to colors.
    `R2SceneLightsType` | `lights()`
    `R2SceneOpaquesReadableType` | `opaqueInstances()`
    `default boolean` | `showLights()`
    `default boolean` | `showOpaqueInstances()`
    `R2UnitSphereUsableType` | `unitSphere()`

- - ### Method Detail

    - #### unitSphere

          R2UnitSphereUsableType unitSphere()

      Returns:
        A unit sphere used to render various pieces of debug geometry

    - #### debugCube

          R2DebugCubeUsableType debugCube()

      Returns:
        A debug cube used to render various pieces of debug geometry

    - #### opaqueInstances

          R2SceneOpaquesReadableType opaqueInstances()

      Returns:
        The opaque instances in the scene.

    - #### lights

          R2SceneLightsType lights()

      Returns:
        The lights in the scene.

    - #### debugInstances

          R2DebugInstancesType debugInstances()

      Returns:
        The extra debugging instances

    - #### showOpaqueInstances

          default boolean showOpaqueInstances()

      Returns:
        `true` iff opaque instances should be rendered

    - #### showLights

          default boolean showLights()

      Returns:
        `true` iff lights should be rendered

    - #### geometryGroupColors

          default it.unimi.dsi.fastutil.ints.Int2ReferenceMap<com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType>> geometryGroupColors()

      The mapping from groups to colors. Each instance will be rendered a specific color based on the group to which it belongs. If no mapping exists from the group number to a color, the default color will be used instead.
      Returns:
        A mapping from groups to colors
      See Also:
        `geometryDefaultColor()`

    - #### geometryDefaultColor

          default com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> geometryDefaultColor()

      Returns:
        The default color with which to render instances, if no specific color has been set
      See Also:
        `geometryGroupColors()`

Copyright © 2017 <code@io7m.com> http://io7m.com